发新帖

[分享」全聚合影视 v2.55正式版发布

nohacks / 2020-4-28 23:15
浏览: 23655 / 回复: 597
查看: 23655|回复: 603

[分享」全聚合影视 v2.55正式版发布

  [复制链接]
收藏
跳转到指定楼层
本帖最后由 nohacks 于 2020-5-28 10:23 编辑

1.png

基于 Qt 的 QMultiMedia组件构建,目标是搭建deepin v20云播放平台。

使用说明:

    1.  本软件是开源软件,使用源码需遵循GPL 3.0协议。
    2. 本软件属播放工具,并不负责内容维护,如果侵犯了您的版权,请联系视频源处理,与本软件无关!
  项目地址:https://github.com/xymov/vst-video
更新记录:

2020.05.26 发布 2.55
主要更新:
  • 添加视频渲染选项,可选视频(默认)和绘制(视频有绿边选择此模式可消除);
  • 资源设置添加分类过滤功能;
  • 视频播放器右键添加刷新功能;
  • 修复自选主题缩放BUG;
  • 其它细节优化;
    PS: 这个版本的发布主要是作者发现在老电脑上绘制渲染会卡顿,完全无法正常观看,因此添加一个可选选项。



2020.05.25发布 V2.54

主要更新:
1.优化主题设置,默认使用系统标题栏(可在播放器界面重新设置);
2.优化视频输出组件,提高清晰度,去掉视频对比度调节等失效功能;
3.优化UI及操作体验,现在双击可直接播放;
4.修复若干BUG;

2020.05.22发布 V2.52正式版
主要更新:
1.更换视频输出组件,修复视频边框蓝条闪烁问题;
2.添加视频旋转功能,视频对比度调节等功能暂时失效;

2020.05.20 发布 V2.51 正式版
主要更新:
1.添加播放记录功能;
2.添加主题设置功能;
3.标题栏添加功能菜单(置顶,最大化,最小化,关闭等);


2020.05.19发布 V2.5 正式版  
主要更新:

1.优化UI,标题栏添加设置按钮。
2.修复已知BUG。。。

更新记录:2020.05.16 发布 V2.43 正式版  
主要更新:
1.搜索添加右键功能菜单。
2.播放器UI更新,按钮素材全部改用矢量图。
3.修复首次播放剧集时总是第一集的BUG。
2020.05.14 发布 V2.42 正式版  
主要更新:
1.浏览器添加右键功能菜单,支持调用关联程序打开。
2.加入关于对话框,去掉标题版本信息。

3.细微调整播放器UI,控制栏改为紫罗兰色

2020.05.13  发布 V2.4 正式版  
主要更新:

1.优化启动速度,采用线程刷新资源;
2.添加超时设置,修复可能卡界面的BUG;
3.添加资源设置窗口,方便在软件修改资源;
4.播放器右键添加画面缩放设置;


2020.05.11  发布 V2.3 正式版  
* 播放器右键添加功能菜单,支持本地和远程文件播放;
* 增加对命令行参数的支持,现在可用作本地播放器;


2020.05.08  发布 V2.2 正式版  
  *  修复已知BUG,优化操作体验;
*  以deb安装包形式发布。



2020.05.08  发布 V2.1

   * 添加直播功能,配置文件为程序目录的live.txt文件,格式和资源一样。
  *  修复已知BUG,优化体验。

2020.05.06

发布v2.0 测试版

    *软件基本成型,欢迎测试。

2020.5.1
  * 添加列表显示开关,修复BUG ;
   * 添加安装脚本,现在可以安装桌面图标。

   2020-04-30
   *添加等待动画效果;
   * 列表播放支持,剧集自动连播放;
   * 添加常用快捷键,全屏下可以直接上下箭头控制音量,左右箭头控制快进快退,空格暂停/播放
  *  源码采集方式更新,采用xml的DOM遍历方式,取消原来的正则搜索


故障排除:

有声音无视频:  
【 Linux】
* 报 va 相关错误  
参考:https://bugreports.qt.io/browse/QTBUG-23761  
解决:sudo apt-get remove gstreamer1.0-vaapi  

* 不报错
sudo apt-get install gst123  
下列【新】软件包将被安装:  
gst123 gstreamer1.0-pulseaudio gstreamer1.0-x  

【Windows】
* 安装 LAV Filters 解码或安装 K-Lite 解码包解决。
  下载地址: https://files3.codecguide.com/K-Lite_Codec_Pack_1544_Standard.exe

依赖
  1. sudo apt-get install libqt5multimedia5 libqt5multimediawidgets5 qtmultimedia5-dev
复制代码

下载地址: https://github.com/xymov/vst-video/releases


vst-video-v2.55.zip

121.83 KB, 下载次数: 1908

vst-video_green.zip

401.89 KB, 下载次数: 481

直播源 一锅端-0401.zip

619.24 KB, 下载次数: 845

评分

参与人数 22贡献 +57 收起 理由
nowave + 3 加分鼓励 : )
ccbshang + 2 加分鼓励 : )
penglu + 1 加分鼓励 : )
neko + 3 原创内容!
s096040114 + 1 加分鼓励 : )上架商店
zj185690007 + 3 加分鼓励 : )
qq1156029468 + 3
lzc586285 + 3 加分鼓励 : )
jellyzhai + 3 加分鼓励 : )
central_1 + 3 加分鼓励 : )
lovecui198700 + 3 加分鼓励 : )
jonshon + 3
baifenmao + 3 原创内容!
houyawei + 3 原创内容!
shenmo + 3 原创内容!
luzhishen + 1 加分鼓励 : )
i8520 + 3 能否做成播放窗口分离式 或者精简窗口模式.
jzc + 3 原创内容!
geniusking + 3 加分鼓励 : )
xiamingyu + 3 加分鼓励 : )

查看全部评分

3

主题

63

帖子

421

积分

-r--r--r--

Rank: 3Rank: 3

积分
421
hangyubin 发表于 2020-4-29 00:05:01 | 显示全部楼层
运行不了

/home/bing/Downloads/deepin-xyplayer: /lib/x86_64-linux-gnu/libQt5Core.so.5: version `Qt_5.14' not found

54

主题

2420

帖子

5293

积分

-rw-rw-rw-

Rank: 6Rank: 6

积分
5293
samlukeyes123 发表于 2020-4-29 09:23:14 | 显示全部楼层
hangyubin 发表于 2020-4-29 00:05
运行不了

/home/bing/Downloads/deepin-xyplayer: /lib/x86_64-linux-gnu/libQt5Core.so.5: version `Qt_5 ...

deepin的qt版本太旧了,5.14应该是最新版本
OS: Manjaro Linux (unstable branch)
Host: Surface Pro 6
Kernel: linux-surface
Resolution: 2736x1824
DE: GNOME
CPU: Intel i7-8650U (8)
GPU: Intel UHD Graphics 620

1

主题

41

帖子

206

积分

-r--r-----

Rank: 2

积分
206
pencildraw 发表于 2020-4-29 09:56:33 | 显示全部楼层
算了吧,有菠菜广告太恶心人了。还是网页播放装个去广告扩展,或者下载干净的bt资源好。

点评

linux系统看网页视频,相比windows,太耗系统资源了,也就是很费电。旧一些的电脑CPU占用很高。特别是斗鱼一类的很吃资源  发表于 2020-5-2 03:19

7

主题

247

帖子

891

积分

-rw-r--r--

Rank: 4

积分
891
nohacks 发表于 2020-4-29 11:03:37 | 显示全部楼层
pencildraw 发表于 2020-4-29 09:56
算了吧,有菠菜广告太恶心人了。还是网页播放装个去广告扩展,或者下载干净的bt资源好。 ...

恩 ,还好,比收费会员好点

83

主题

5196

帖子

1万

积分

-rw-rw-rw-

Rank: 6Rank: 6

积分
13307
QQ
jianguo922 志愿者 发表于 2020-4-29 13:18:07 | 显示全部楼层
看起来不错
深度值得深入!深度有你更精彩
https://www.52pojie.cn/home.php?mod=space&uid=275571
电脑型号三星370r5v-s01  CPU:Intel酷睿i53210M         
内存:4GB+2GB×1    显卡芯片:AMD Radeon HD 8750M(2G)

19

主题

328

帖子

2687

积分

-rw-rw-r--

Rank: 5Rank: 5

积分
2687
zfskun 发表于 2020-4-29 13:27:08 | 显示全部楼层
             haikeyi

7

主题

247

帖子

891

积分

-rw-r--r--

Rank: 4

积分
891
nohacks 发表于 2020-4-29 13:30:35 | 显示全部楼层
hangyubin 发表于 2020-4-29 00:05
运行不了

/home/bing/Downloads/deepin-xyplayer: /lib/x86_64-linux-gnu/libQt5Core.so.5: version `Qt_5 ...

重新编译了下,再试试

83

主题

5196

帖子

1万

积分

-rw-rw-rw-

Rank: 6Rank: 6

积分
13307
QQ
jianguo922 志愿者 发表于 2020-4-29 13:30:53 | 显示全部楼层
请改标题软件名称不要和官方软件同名,会被误导啊!可以是某某影视
深度值得深入!深度有你更精彩
https://www.52pojie.cn/home.php?mod=space&uid=275571
电脑型号三星370r5v-s01  CPU:Intel酷睿i53210M         
内存:4GB+2GB×1    显卡芯片:AMD Radeon HD 8750M(2G)

7

主题

247

帖子

891

积分

-rw-r--r--

Rank: 4

积分
891
nohacks 发表于 2020-4-29 13:51:59 | 显示全部楼层
jianguo922 发表于 2020-4-29 13:30
请改标题软件名称不要和官方软件同名,会被误导啊!可以是某某影视

好的,已修改

2

主题

61

帖子

358

积分

-r--r-----

Rank: 2

积分
358
zdxhl 发表于 2020-4-29 14:32:59 | 显示全部楼层
本帖最后由 zdxhl 于 2020-4-29 14:37 编辑

运行不了,终端中显示如下信息:

/home/zdxhl/Downloads/deepin-video: /lib/x86_64-linux-gnu/libQt5Core.so.5: version `Qt_5.11' not found (required by /home/zdxhl/Downloads/deepin-video)

我的系统:Deepin15.11
附:
解决依赖库的命令执行如下:
sudo apt-get install libqt5multimedia5 libqt5multimediawidgets5 qtmultimedia5-dev
正在读取软件包列表... 完成
正在分析软件包的依赖关系树      
正在读取状态信息... 完成      
libqt5multimedia5 已经是最新版 (5.7.1~20161021-2)。
libqt5multimediawidgets5 已经是最新版 (5.7.1~20161021-2)。
qtmultimedia5-dev 已经是最新版 (5.7.1~20161021-2)。
升级了 0 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 0 个软件包未被升级。

7

主题

247

帖子

891

积分

-rw-r--r--

Rank: 4

积分
891
nohacks 发表于 2020-4-29 14:37:29 | 显示全部楼层
本帖最后由 nohacks 于 2020-4-29 14:56 编辑
zdxhl 发表于 2020-4-29 14:32
运行不了,终端中显示如下信息:

/home/zdxhl/Downloads/deepin-video: /lib/x86_64-linux-gnu/libQt5Core ...

v15吗?只在v20测试过,v15的qt版本是5.7的,以后发布安装版可解决这个问题,目前只支持V20
或者安装QT重新编译
下克隆项目:

  1. sudo apt-get install git
  2. git clone https://github.com/xymov/deepin-video
复制代码

安装QT:
  1. sudo apt-get install qt5-default qt5-qmake g++ qtcreator
复制代码
注意:工程文件是*.pro


2

主题

61

帖子

358

积分

-r--r-----

Rank: 2

积分
358
zdxhl 发表于 2020-4-29 14:56:17 | 显示全部楼层
nohacks 发表于 2020-4-29 14:37
v15吗?只在v20测试过,v15的qt版本是5.7的,以后发布安装版可解决这个问题,目前只支持V20
或者安装QT重 ...

高版本不能向下兼容吗?

2

主题

61

帖子

358

积分

-r--r-----

Rank: 2

积分
358
zdxhl 发表于 2020-4-29 15:05:07 | 显示全部楼层
nohacks 发表于 2020-4-29 14:37
v15吗?只在v20测试过,v15的qt版本是5.7的,以后发布安装版可解决这个问题,目前只支持V20
或者安装QT重 ...

重新编译这个操作,目前我还不会,看来你能等你完善,或是我学会编译再试下了,谢谢!

7

主题

247

帖子

891

积分

-rw-r--r--

Rank: 4

积分
891
nohacks 发表于 2020-4-29 15:05:34 | 显示全部楼层
zdxhl 发表于 2020-4-29 14:56
高版本不能向下兼容吗?

好像不行,对应版本的

253

主题

1万

帖子

5万

积分

d-rw-rw-r--

Rank: 8Rank: 8

积分
53435
jingle 官方管理员 发表于 2020-4-29 15:27:23 | 显示全部楼层
不建议使用deepin 命名哈
官方指定爆料员

91

主题

3441

帖子

1万

积分

-rw-rw-rw-

Rank: 6Rank: 6

积分
14157
lidanger 志愿者 发表于 2020-4-29 15:36:35 | 显示全部楼层
支持下,不过以 deepin 开头容易让人以为是官方应用。
士别三日当刮目相待

7

主题

247

帖子

891

积分

-rw-r--r--

Rank: 4

积分
891
nohacks 发表于 2020-4-29 15:44:37 | 显示全部楼层
本帖最后由 nohacks 于 2020-4-29 16:00 编辑
jingle 发表于 2020-4-29 15:27
不建议使用deepin 命名哈

哈哈,好吧  ,vst-video  吧

54

主题

2420

帖子

5293

积分

-rw-rw-rw-

Rank: 6Rank: 6

积分
5293
samlukeyes123 发表于 2020-4-29 17:01:15 | 显示全部楼层
nohacks 发表于 2020-4-29 14:37
v15吗?只在v20测试过,v15的qt版本是5.7的,以后发布安装版可解决这个问题,目前只支持V20
或者安装QT重 ...

你没写makefile,我没学过C++不知道怎么编译
OS: Manjaro Linux (unstable branch)
Host: Surface Pro 6
Kernel: linux-surface
Resolution: 2736x1824
DE: GNOME
CPU: Intel i7-8650U (8)
GPU: Intel UHD Graphics 620

12

主题

143

帖子

594

积分

-r--r--r--

Rank: 3Rank: 3

积分
594
shanwei361 志愿者 发表于 2020-4-29 17:21:26 | 显示全部楼层
哎呦喂,这个是好东西呀,测试正常你使用
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

快速回复 返回列表 返回版块 返回顶部